> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Size

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

# Queue Size

To get the queueDetails by giving queueId and filters with the given `streamId`.

| Method            | POST                                                                                                                           |
| :---------------- | :----------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint**      | `https://{host}/agentassist/api/v1/public/{{streamId}}/monitor/queueStatsById/{{queueId}}`                                     |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Analytics                                                                                                          |

## Query Parameters

| Parameter  | Description                                                   | Type             |
| :--------- | :------------------------------------------------------------ | :--------------- |
| `host`     | The Environment URL. For example, `https://platform.kore.ai`  | string, required |
| `queueId`  | You can get the queueId in the /queues GET API.               | string, required |
| `streamId` | botId or streamId. You can get it from the App Settings page. | string, required |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/monitor/queueStatsById/{{queueId}}/' \
--header 'auth: <token>' \
--header 'accountId: {{accountId}}' \
--header 'Content-Type: application/json' \
--data '{
"languages": ["en", "es"],
"channels": ["rtm", "msteams"]
}'
```

## Header Parameters

| Header         | Description                                          | Optional/Required |
| :------------- | :--------------------------------------------------- | :---------------- |
| `accountid`    | Unique account identifier.                           | Required          |
| `auth`         | JWT authentication token.                            | Required          |
| `content-type` | Request body format (application/json;charset=UTF-8) | Required          |

## Request Parameters

| Parameter   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                               | Required/Optional | Type             |
| :---------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | :---------------- | :--------------- |
| `Channels`  | To filter the results based on the channel. Select from the following: `rtm`, `ivr`, `sms`, `slack`, `facebook`, `kore`, `spark`, `msteams`, `twitter`, `telegram`, `wfacebook`, `ringcentral`, `jabber`, `yammer`, `whatsapp`, `line`, `liveperson`, `mattermost`, `wechat`, `web-sdk`, `rcs`, `unblu`, `audiocodes`, `alexa`, `twiliovoice`, `ivrVoice`, `korevg`, `email`, `emailConnect`, `rtm` : `Web/Mobile Client channel`, `ivr` : `agent ai channel`             | optional          | array of strings |
| `Languages` | To filter the results based on the bot language, that's, interaction language with the bot. Only Contact Center AI supported languages can be selected and should be selected from the following: `en`, `de`, `es`, `fr`, `pt`, `it`, `zh_cn`, `zh_tw`, `id`, `ko`, `nl`, `ja`, `ar`, `fi`, `ru`, `pl`, `uk`, `sv`, `kk`\[ `nb` : `Norwegian`, `hi` : `Hindi`, `te` : `Telugu`, `ta` : `Tamil`, `mr` : `Marathi`, `ca` : `Catalan`, `sl` : `Slovenian`, `ge` : `Georgia`] | optional          | array of strings |

## Sample Response

```json theme={null}
[
    {
        "queueId": "qu-aa16c29-08b2-4948-aa00-a6a3547exxxx",
        "queueName": "Default Queue",
        "skills": [],
        "waiting": 0,
        "engaged": 0,
        "dropOff": 44,
        "agentStatus": {
            "available": 1,
            "offline": 0,
            "busy": 0,
            "away": 0
        },
        "noOfAgents": 1,
        "queueSummary": {
            "avgWait": 0,
            "maxWait": 0,
            "ASA": 0  // ASA - Average Speed to Answer
        }
    }
]
```
